<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Quick Sort Visualization</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <section>
        <h1>Welcome to Quick Sort Visualizations</h1>
        <button class="button1">Start Sort</button>
    </section>

    <section id="scene">
    </section>

    <script src="quickSort.js"></script>
    <script>
        var unsortedArray = [11,45,29,44,31,40,28,48,22,18,4,24,14,20,12,46,38,35,17,27];
        var button = document.querySelector('.button1');
        var intervalId;
        
        button.addEventListener('click', init);

        setupArray(unsortedArray);

        function init() {
            button.disabled = true;
            var sortedArray = quickSort(unsortedArray);
            intervalId = setInterval(function() {
                visualize(unsortedArray);
            }, 500)
        }
    </script>
</body>
</html>